version: '3.5'

services:
  postgresql:
    image: ${IMAGE_NAME}:${IMAGE_TAG:-latest}
    environment:
      - POSTGRES_DB
      - POSTGRES_PASSWORD
      - POSTGRES_USER
      - POSTGRES_WORK_MEM
      - PGDATA
      - EXPORTER_USER
      - EXPORTER_PASS
    networks:
      postgres-vente-net:
        aliases:
          - vente-db
      traefik-net:
    volumes:
      - vente-postgres-vol:/var/lib/postgresql/data

networks:
  postgres-vente-net:
    name: ${POSTGRES_VENTE_NET_NAME:-postgres-vente-net}
    driver: overlay
    attachable: true
  traefik-net:
    name: ${TRAEFIK_NET_NAME:-traefik-net}
    external: true

volumes:
  vente-postgres-vol:
    name: ${POSTGRES_DATA_VOLUME_NAME:-vente-postgres-vol}